All of lore.kernel.org
 help / color / mirror / Atom feed
From: Yang Xu <xuyang2018.jy@cn.fujitsu.com>
To: <guaneryu@gmail.com>
Cc: <fstests@vger.kernel.org>, Yang Xu <xuyang2018.jy@cn.fujitsu.com>
Subject: [PATCH 2/2] generic/402: use _try_scratch_mount instead of _scratch_mount
Date: Fri, 16 Oct 2020 17:31:24 +0800	[thread overview]
Message-ID: <1602840684-25524-2-git-send-email-xuyang2018.jy@cn.fujitsu.com> (raw)
In-Reply-To: <1602840684-25524-1-git-send-email-xuyang2018.jy@cn.fujitsu.com>

Here will check the return code of mount option. So update it
to use _try_scratch_mount

Signed-off-by: Yang Xu <xuyang2018.jy@cn.fujitsu.com>
---
 tests/generic/402 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/generic/402 b/tests/generic/402
index 7fc81864..4c940ac4 100755
--- a/tests/generic/402
+++ b/tests/generic/402
@@ -102,7 +102,7 @@ run_test()
 }
 
 _scratch_mkfs &>> $seqres.full 2>&1 || _fail "mkfs failed"
-_scratch_mount || _fail "scratch mount failed"
+_try_scratch_mount || _fail "scratch mount failed"
 
 _require_timestamp_range $SCRATCH_DEV
 
-- 
2.23.0




  reply	other threads:[~2020-10-16  9:32 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-16  9:31 [PATCH 1/2] xfs/521: use _try_scratch_mount instead of _scratch_mount Yang Xu
2020-10-16  9:31 ` Yang Xu [this message]
2020-10-16 15:33   ` [PATCH 2/2] generic/402: " Darrick J. Wong
2020-10-18 10:10     ` Eryu Guan
2020-10-19  2:05       ` Yang Xu
2020-10-19  3:01       ` [PATCH v2] generic/402: Drop useless fail message Yang Xu
2020-10-19 16:03         ` Darrick J. Wong
2020-10-16 15:32 ` [PATCH 1/2] xfs/521: use _try_scratch_mount instead of _scratch_mount Darrick J. Wong

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1602840684-25524-2-git-send-email-xuyang2018.jy@cn.fujitsu.com \
    --to=xuyang2018.jy@cn.fujitsu.com \
    --cc=fstests@vger.kernel.org \
    --cc=guaneryu@gmail.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.